#
# spec file for package jakarta-commons-el (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils junit klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio log4j m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed servletapi5 strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           jakarta-commons-el
BuildRequires:  ant java-1_4_2-sun-devel junit log4j servletapi5 update-alternatives
%define base_name       el
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define section         free
Version:        1.0
Release:        21.2
Summary:        The Jakarta Commons Extension Language
License:        Apache
Group:          Development/Libraries/Java
URL:            http://jakarta.apache.org/commons/el/
Source0:        http://archive.apache.org/dist/jakarta/commons/el/source/commons-el-%{version}-src.tar.gz
Patch0:         %{short_name}-%{version}-license.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
An implementation of standard interfaces and abstract classes for
javax.servlet.jsp.el, which is part of the JSP 2.0 specification.



%debug_package
%package        javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-commons-el
Group:          Development/Libraries/Java

%description    javadoc
An implementation of standard interfaces and abstract classes for
javax.servlet.jsp.el which is part of the JSP 2.0 specification.

This package contains the javadoc documentation for the Jakarta Commons
Extension Language.



%prep
%setup -q -n %{short_name}-%{version}-src
%patch0 -p1 -b .license
# remove all precompiled stuff
find . -type f -name "*.jar" -exec rm -f {} \;
cat > build.properties <<EOBP
build.compiler=modern
junit.jar=$(build-classpath junit)
servlet-api.jar=$(build-classpath servletapi5)
jsp-api.jar=$(build-classpath jspapi)
servletapi.build.notrequired=true
jspapi.build.notrequired=true
EOBP

%build
ant \
  -Dfinal.name=%{short_name} \
  -Dj2se.javadoc=%{_javadocdir}/java \
  jar javadoc

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt STATUS.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog -n jakarta-commons-el
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 1.0 from JPackage.org
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Sun Sep 05 2004 - skh@suse.de
- Initial package created with version 1.0 (JPackage 1.5)
